﻿Imports System.Drawing
Imports System.Windows.Forms

Imports j2associates.Tools.WindowsFormNativeWindowListener

Public Class WindowStateChangedEventArgs
    Inherits EventArgs

    ' Old
    Public ReadOnly OldBounds As Rectangle
    Public ReadOnly OldVisible As Boolean
    Public ReadOnly OldWindowState As FormWindowState

    ' New
    Public ReadOnly NewBounds As Rectangle
    Public ReadOnly NewVisible As Boolean
    Public ReadOnly NewWindowState As FormWindowState

    Public Sub New(ByVal oldBounds As Rectangle, ByVal oldVisible As Boolean, ByVal oldWindowState As FormWindowState, ByVal parentForm As Form)
        MyBase.New()

        ' Old
        Me.OldBounds = oldBounds
        Me.OldVisible = oldVisible
        Me.OldWindowState = oldWindowState

        ' New
        Me.NewBounds = parentForm.Bounds
        Me.NewVisible = parentForm.Visible
        Me.NewWindowState = parentForm.WindowState
    End Sub 'New

End Class 'WindowStateChangedEventArgs
